Skip to content

List Destination Buckets

GET
/api/v1/storage/destination-bucket-list/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/storage/destination-bucket-list/?project_id=<PROJECT_ID>&location=<LOCATION>&destination_region=<DESTINATION_REGION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'
project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

destination_region
required
string
Allowed values: Delhi Chennai

Example

Chennai

Destination region for the migration

Successfully retrieved the list of buckets.

Media typeapplication/json
object
code
integer
data
Array<object>
object
id
integer
name
string
versioning_status
string
Allowed values: Enabled Suspended Off
location
string
errors
object
message
string

Example

{
"code": 200,
"data": [
{
"id": 12345,
"name": "another-bucket",
"versioning_status": "Enabled",
"location": "Chennai"
}
],
"errors": {},
"message": "Success"
}